Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.event
Class ObjectChangeEvent

    java.lang.Object
      java.util.EventObject
          java.beans.PropertyChangeEvent
              ix.icore.event.ObjectChangeEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  UIDomainEvent

    public class ObjectChangeEvent

extends java.beans.PropertyChangeEvent

See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `object`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ObjectChangeEvent(java.lang.Object source, java.lang.Object edited)` Use this for added/removed events
`ObjectChangeEvent(java.lang.Object source, java.lang.Object edited, java.lang.String field, java.lang.Object oldValue, java.lang.Object newValue)` Use this for edited events

Method Summary
`java.lang.String` | `getField()`
`java.lang.Object` | `getObject()`
`boolean` | `isNameChange()`
`java.lang.String` | `print()`

Methods inherited from class java.beans.PropertyChangeEvent
`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### object

    protected java.lang.Object object

Constructor Detail

### ObjectChangeEvent

    public ObjectChangeEvent(java.lang.Object source,
                             java.lang.Object edited)

  Use this for added/removed events

### ObjectChangeEvent

    public ObjectChangeEvent(java.lang.Object source,
                             java.lang.Object edited,
                             java.lang.String field,
                             java.lang.Object oldValue,
                             java.lang.Object newValue)

  Use this for edited events

Method Detail

### getObject

    public java.lang.Object getObject()

### getField

    public java.lang.String getField()

### isNameChange

    public boolean isNameChange()

### print

    public java.lang.String print()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD